[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: GDM Language list...



Am Freitag, den 05.06.2009, 20:30 +0530 schrieb Ankitkumar Rameshchandra
Patel:
> Nicolas Mailhot wrote: 
> > Le Ven 5 juin 2009 15:06, Ankitkumar Rameshchandra Patel a écrit :
> >   
> > > applications like gedit, nautilus showing square boxes instead of
> > > Hindi text.
> > >     
> > 
> > Actually, in F11 they'll show a nice popup suggesting to look for and
> > autoinstall hindi fonts. So this part is already fixed (maybe not in
> > all apps but in pango-based apps at least)
> > 
> >   
> That's good to know. Thanks Nicolas.
> 
> But, it's not only the matter of fonts, rather language support which
> includes - fonts, input method (and maps), spell checker, openoffice
> langpack, kde langpack and language packs for various other
> applications.
> 
> So, how are we going to solve those things?

By doing "yum install hindi-support"?! We cannot put all languages on
the LiveCD because there is not enough space.

Currently the group hindi-support looks like this:

> <group>
>     <id>hindi-support</id>
>     <_name>Hindi Support</_name>
>     <_description/>
>     <default>false</default>
>     <uservisible>true</uservisible>
>     <langonly>hi</langonly>
>     <packagelist>
>       <packagereq type="mandatory">lohit-hindi-fonts</packagereq>
>       <packagereq type="mandatory">m17n-contrib-hindi</packagereq>
>       <packagereq type="mandatory">m17n-db-hindi</packagereq>
>       <packagereq type="conditional" requires="aspell">aspell-hi</packagereq>
>       <packagereq type="conditional" requires="gcompris">gcompris-sound-hi</packagereq>
>       <packagereq type="conditional" requires="hunspell">hunspell-hi</packagereq>
>       <packagereq type="conditional" requires="hyphen">hyphen-hi</packagereq>
>       <packagereq type="conditional" requires="xorg-x11-server-Xorg">ibus-m17n</packagereq>
>       <packagereq type="conditional" requires="kdelibs3">kde-i18n-Hindi</packagereq>
>       <packagereq type="conditional" requires="kdelibs">kde-l10n-Hindi</packagereq>
>       <packagereq type="conditional" requires="moodle">moodle-hi</packagereq>
>       <packagereq type="conditional" requires="openoffice.org-core">openoffice.org-langpack-hi_IN</packagereq>
>       <packagereq type="default">iok</packagereq>
>       <packagereq type="default">samyak-devanagari-fonts</packagereq>
>       <packagereq type="default">sarai-fonts</packagereq>
>     </packagelist>
>   </group>

Is there something you are missing?

Regards,
Christoph


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]